Přehled Nástroje pro nasazení webu pro Správce služby IIS

Nástroj pro nasazení webu Web Deploy synchronizuje konfiguraci služby IIS, obsah, certifikáty SSL a další typy dat z uživatelem definovaného webu nebo serveru do uživatelem definovaného cílového umístění. Můžete nasadit také objekty, například klíče registru, které nejsou zahrnuty ve výchozím nastavení.

Delegování služby správy

Nástroj Web Deploy přidává do IIS Manager funkci na úrovni serveru nazvanou Delegování služby správy, která je pouze pro správce a umožňuje velice přesně řídit akce nasazení, které mohou provádět vzdálení uživatelé. Další informace naleznete v tématu Stránka Delegování služby správy.

Export a import aplikací

V rozhraní IIS Manager v podokně Akce můžete pomocí Průvodce exportem balíčku aplikace vytvořit komprimované soubory (balíčky) obsahující weby, aplikace a obsah. Další informace naleznete na stránce Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace.

Obsah exportovaného balíčku můžete pomocí Průvodce importem balíčku aplikace nainstalovat do jiného umístění. Další informace naleznete na stránce Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace.

Funkce příkazového řádku

Spustitelný program Msdeploy.exe nástroje Web Deploy poskytuje mnoho výkonných funkcí příkazového řádku. Chcete-li zobrazit souhrnnou nápovědu týkající se funkcí programu Msdeploy.exe, zadejte do okna příkazového řádku příkaz msdeploy -help. Chcete-li zobrazit podrobnější nápovědu online, přejděte na stránku Nástroj pro nasazení webu (stránka může být v angličtině).

Další online informační zdroje

IIS.NET: Nástroj pro nasazení webu (stránka může být v angličtině)

IIS.NET: Fórum nástroje pro nasazení webu (stránka může být v angličtině)

IIS.NET: Příspěvky do blogu týmu nástroje pro nasazení webu společnosti Microsoft (stránka může být v angličtině)


Nápověda pro uživatelské rozhraní nástroje pro nasazení webu

Modul IIS Manager poskytuje popisy všech elementů uživatelského rozhraní na jednotlivých stránkách funkcí, dialogových oknech a stránkách průvodců v rámci Modulu IIS Manager. Chcete-li zobrazit tuto nápovědu, stiskněte na aktivní stránce, v dialogovém okně nebo na stránce průvodce klávesu F1.

Témata obsažená v této části

Stránka Delegování služby správy

Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace

Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace


Stránka Delegování služby správy

Stránka Delegování služby správy slouží k zadání pravidel, kterými se řídí práva pro nasazení vzdálených uživatelů. Stránku Delegování služby správy mohou použít pouze správci a je zobrazena pouze na úrovni serveru.

Elementy uživatelského rozhraní

Název elementu | Popis
Zprostředkovatel | Zobrazuje zprostředkovatele, na které se vztahuje pravidlo.
Cesta | Zobrazuje cestu, na kterou se vztahuje pravidlo.
Typ cesty | Zobrazuje typ cesty. Možné hodnoty jsou PathPrefix, StringPrefix, StringSuffix, ConnectionString a RegularExpression.
Akce | Zobrazuje akce, které pravidlo provede. Typické hodnoty pro zprostředkovatele nástroje Web Deploy jsou Číst, Zapisovat a *.
Typ identity | Zobrazuje typ identity, pod kterou bude pravidlo spuštěno. Možné hodnoty jsou CurrentUser, ProcessIdentity a SpecificUser.
Uživatelské jméno | Zobrazuje příslušné uživatelské jméno, když je pro typ identity vybrána možnost SpecificUser. Když je pro typ identity vybrána možnost CurrentUser nebo ProcessIdentity, není zobrazeno žádné uživatelské jméno.
Stav | Zobrazuje, zda je pravidlo povoleno nebo zakázáno. Pravidlo můžete povolit nebo zakázat kliknutím na tlačítko Povolit pravidlo nebo Zakázat pravidlo v podokně Akce.

Elementy podokna Akce

Název elementu | Popis
Přidat pravidlo... | Otevře dialogové okno Přidat pravidlo. Chcete-li přidat pravidlo, vyberte tuto možnost. Další informace naleznete v tématu Dialogové okno Přidat pravidlo (Delegování služby správy).
Přidat uživatele do pravidla... | Otevře dialogové okno Přidat uživatele do pravidla. Další informace naleznete v tématu Dialogové okno Přidat uživatele do pravidla.
Upravit... | Otevře dialogové okno Upravit pravidlo. Další informace naleznete v tématu Dialogová okna Přidat nebo Upravit pravidlo.
Odebrat | Odebere vybrané pravidlo delegování nebo uživatele pravidla delegování.
Zakázat pravidlo | Zakáže vybrané pravidlo delegování.
Povolit pravidlo | Povolí vybrané pravidlo delegování.
Upravit nastavení funkcí... | Otevře dialogové okno Upravit nastavení funkcí. Další informace naleznete v tématu Dialogové okno Upravit nastavení funkcí (Delegování služby správy).


Dialogové okno Přidat pravidlo (Delegování služby správy)

Dialogové okno Vybrat šablonu pravidla slouží k výběru šablony, kterou můžete použít k vytvoření vlastního pravidla delegování. Můžete zvolit prázdnou šablonu nebo nainstalovanou šablonu určenou pro konkrétní scénáře.

Elementy uživatelského rozhraní

Nainstalované šablony

Název elementu Popis

Prázdné pravidlo

Vytvoří prázdné pravidlo, které můžete přizpůsobit.

Nasadit pouze obsah

Vytvoří pravidlo, které povolí nasazení obsahu. Pravidlo povolí každému uživateli autorizovanému službou webové správy (WMSvc) publikovat obsah do cesty, pro kterou je službou WMSvc autorizován. Úpravou pravidla lze omezit přístup k určité cestě nebo pro určitého uživatele. Toto pravidlo používá zprostředkovatele contentPath, který synchronizuje obsah webu. Další informace naleznete na stránce Zprostředkovatel contentPath nástroje Web Deploy (stránka může být v angličtině).

Nasadit aplikace s obsahem

Vytvoří pravidlo, které povolí nasazení aplikací. Tato šablona sice neobsahuje pravidlo, které označí složku jako aplikaci, ale často je v kombinaci s takovým pravidlem používána. Pravidlo povolí každému uživateli autorizovanému službou WMSvc publikovat aplikaci do cesty, pro kterou je službou WMSvc autorizován. Úpravou pravidla lze omezit přístup k určité cestě nebo pro určitého uživatele. Toto pravidlo používá zprostředkovatele contentPath a iisApp. Další informace naleznete na stránkách Zprostředkovatel contentPath nástroje Web Deploy (stránka může být v angličtině) a Zprostředkovatel iisApp nástroje Web Deploy (stránka může být v angličtině).

Nasadit databáze

Vytvoří pravidlo, které povolí nasazení databáze. Pravidlo povolí každému uživateli autorizovanému službou WMSvc publikovat do jakékoli databáze, ke které má přístup. Šablona udává, že použitý účet je CurrentUser. Z toho důvodu bude k ověření uživatele v databázovém serveru použit připojovací řetězec. Úpravou pravidla lze omezit přístup k určitému databázovému serveru nebo pro určité uživatelské jméno. Toto pravidlo používá zprostředkovatele dbFullSql, který povoluje první publikování databází z místní vývojové databáze systému SQL Server do vzdáleně hostované databáze systému SQL Server. Další informace naleznete na stránce Zprostředkovatel dbFullSql nástroje Web Deploy (stránka může být v angličtině).

Označit složky jako aplikace

Vytvoří pravidlo, které označí složku jako aplikaci. Pravidlo povolí každému uživateli autorizovanému službou WMSvc označit složku jako aplikaci. Není-li uživatel správce, bude třeba změnit typ identity na účet, který má přístup pro zápis do souboru ApplicationHost.config. Výchozí typ identity pro toto pravidlo je SpecificUser. Toto pravidlo používá zprostředkovatele createApp, který je požadován pro označení složek jako aplikací. Funkce tohoto zprostředkovatele je zahrnuta ve zprostředkovateli iisApp. Další informace naleznete na stránce Zprostředkovatelé nástroje Web Deploy (stránka může být v angličtině).

Nastavit oprávnění pro aplikace

Vytvoří pravidlo, které pro cestu aplikace nastaví seznamy ACL. Pravidlo povolí každému uživateli autorizovanému službou WMSvc nastavit seznamy ACL systému souborů pro cestu aplikace, pro kterou je uživatel službou WMSvc autorizován. Šablona udává, že použitý účet je CurrentUser. Z toho důvodu může uživatel změnit seznamy ACL jen tehdy, pokud má příslušná oprávnění. Úpravou pravidla lze omezit přístup k určité cestě nebo pro určitého uživatele. Toto pravidlo používá zprostředkovatele setAcl, který nastavuje oprávnění pro cílovou složku. Další informace naleznete na stránce Zprostředkovatel setAcl nástroje Web Deploy (stránka může být v angličtině). .

Zálohování a obnovení databází (pomocí ověřování SQL)

Vytvoří pravidlo, které zálohuje a obnoví databáze s použitím ověřování SQL. Pravidlo povolí každému uživateli autorizovanému službou WMSvc vytvořit nebo obnovit zálohu databáze, ke které má přístup. Operace zálohování a obnovení budou provedeny v rámci identity určitého uživatele s použitím ověřování SQL. Úpravou pravidla lze omezit přístup do určité databáze a pro určitou skupinu uživatelů.

Poznámka

Tuto šablonu je třeba použít s rozšířením Správce databáze služby IIS. Další informace o rozšíření Správce databáze služby IIS nalezněte na stránce Správce databáze (stránka může být v angličtině).

Zálohování a obnovení databází (pomocí integrovaného zabezpečení systému Windows)

Vytvoří pravidlo, které zálohuje a obnoví databáze s použitím ověřování systému Windows. Pravidlo povolí každému uživateli autorizovanému službou WMSvc vytvořit nebo obnovit zálohu databáze, ke které má přístup. Úpravou pravidla lze omezit přístup do určité databáze a pro určitou skupinu uživatelů.

Poznámka

Tuto šablonu je třeba použít s rozšířením Správce databáze služby IIS. Další informace o rozšíření Správce databáze služby IIS nalezněte na stránce Správce databáze (stránka může být v angličtině).

Další odkazy

  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace
  • Zprostředkovatelé nástroje Web Deploy (stránka může být v angličtině)


Dialogová okna Přidat nebo Upravit pravidlo

Pomocí dialogových oken Přidat pravidlo a Upravit pravidlo můžete přidat a upravit pravidla delegování.

Elementy uživatelského rozhraní

Název elementu | Popis
Zprostředkovatelé | Výběrem nebo zrušením výběru v rozevíracím seznamu můžete přidat zprostředkovatele do pravidla nebo je z něj odebrat. Změny přijmete kliknutím na šipku rozevíracího seznamu. Zprostředkovatelé budou zobrazeni v seznamu odděleném čárkami. Další informace o zprostředkovatelích nástroje Web Deploy naleznete na stránce Zprostředkovatelé nástroje Web Deploy (stránka může být v angličtině).
Akce | Výběrem nebo zrušením výběru v rozevíracím seznamu můžete přidat akce do pravidla nebo je z něj odebrat. Změny přijmete kliknutím na šipku rozevíracího seznamu. Akce budou zobrazeny v seznamu odděleném čárkami. Typické hodnoty pro nástroj Web Deploy jsou Číst, Zapisovat a *.
Typ cesty | Umožňuje vybrat typ cesty z rozevíracího seznamu. Možné hodnoty jsou PathPrefix, StringPrefix, StringSuffix, ConnectionString a RegularExpression. Další informace týkající se regulárních výrazů naleznete na stránce Regulární výrazy (stránka může být v angličtině).
Cesta | Umožňuje zadat cestu, na kterou se bude pravidlo vztahovat.
Typ identity | Umožňuje vybrat z rozevíracího seznamu typ identity pro pravidlo. Vybraná identita spustí pravidlo. Možné hodnoty jsou CurrentUser, ProcessIdentity a SpecificUser. Možnost CurrentUser určuje, že bude použita identita aktuálního uživatele. Možnost ProcessIdentity určuje, že bude použita identita místní služby WMSvc. Možnost SpecificUser určuje, že bude použita zvláštní identita, kterou nastavíte. Pokud vybere možnost SpecificUser, je třeba v části Zadat pověření kliknout na tlačítko Nastavit a zadat pověření.
Zadat pověření | Aktivuje tlačítko Nastavit, pokud je jako typ identity vybrána možnost SpecificUser.
Nastavit | Otevře dialogové okno Nastavit pověření, které umožňuje zadat uživatelské jméno a heslo pro typ identity SpecificUser. Další informace naleznete v tématu Dialogové okno Nastavit pověření.


Dialogové okno Nastavit pověření

Pomocí dialogového okna Nastavit pověření můžete zadat uživatelské jméno a heslo pro uživatele systému Windows, který pravidlo spustí.

Elementy uživatelského rozhraní

Název elementu | Popis
Uživatelské jméno | Umožňuje zadat uživatelské jméno uživatele systému Windows.
Heslo | Umožňuje zadat heslo.
Potvrdit heslo | Slouží k potvrzení hesla opakovaným zadáním.

Další odkazy

  • Dialogová okna Přidat nebo Upravit pravidlo


Dialogové okno Přidat uživatele do pravidla

Pomocí dialogového okna Přidat uživatele do pravidla můžete uživateli povolit nebo odmítnout přístup k pravidlu.

Elementy uživatelského rozhraní

Název elementu | Popis
Jméno | Umožňuje zadat uživatelské jméno.
Typ přístupu | Vyberte typ přístupu pro zadaného uživatele. Možné hodnoty jsou Povolit a Odmítnout.
Role | Tohoto políčka zaškrtněte, pokud zadané uživatelské jméno je alias pro skupinu uživatelů, které bude povolen nebo odmítnut přístup.


Dialogové okno Upravit nastavení funkcí (Delegování služby správy)

Pomocí dialogového okna Upravit nastavení funkcí můžete správcům povolit nepoužívat (obcházet) pravidla delegování a protokolovat chybné požadavky.

Elementy uživatelského rozhraní

Název elementu Popis

Povolit správcům nepoužívat pravidla

Výběrem této možnosti povolíte správcům nepoužívat (tedy obcházet) zadaná pravidla delegování.

Povolit protokoly trasování chybných požadavků pro službu delegování

Výběrem této možnosti povolíte protokolování informací o chybných požadavcích.

Upozornění

Chcete-li tuto funkci použít, musí být nainstalován modul trasování chybných požadavků.


Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace

Stránka Výběr obsahu balíčku

Stránka Výběr parametrů

Stránka Uložení balíčku

Dialogové okno Šifrovací heslo

Stránka Průběh a souhrn exportu


Stránka Výběr obsahu balíčku

Pomocí stránky Výběr obsahu balíčku Průvodce exportem balíčku aplikací můžete zobrazit komponenty zahrnuté v balíčku, který chcete vytvořit.

Balíčky mohou obsahovat komponenty, například nastavení registru, model COM, sestavení GAC nebo certifikáty. Chcete-li tyto komponenty na server nainstalovat, je třeba být členem skupiny Administrators nebo mít delegovánu příslušnou autoritu. Chcete-li instalovat pouze obsah, uživatelská práva správce nejsou zapotřebí.

Elementy uživatelského rozhraní

Název elementu Popis

Obsah balíčku

Udává seznam komponent zahrnutých v balíčku. Zaškrtnutím nebo zrušením zaškrtnutí políčka příslušné komponenty můžete určit, které komponenty chcete do balíčku zahrnout. Příklad: Zaškrtnutím nebo zrušením zaškrtnutí odpovídajícího políčka můžete zahrnout nebo vyloučit databázi SQL nebo sestavení GAC.

Upozornění

Některé komponenty mohou být aplikací požadovány. Zrušíte-li zaškrtnutí políček těchto komponent, aplikace pravděpodobně nebude po instalaci správně fungovat.

Atributy

V pravém podokně zobrazuje atributy vybraného souboru, adresáře nebo komponenty. Hodnoty jsou pouze pro čtení.

Spravovat komponenty...

Otevře dialogové okno Spravovat komponenty. To umožňuje vybrat komponenty, které chcete zahrnout. Další informace naleznete na stránce Dialogové okno Spravovat komponenty.

Upřesnit nastavení...

Otevře dialogové okno Upřesnit nastavení. To umožňuje zadat nastavení a pravidla operace. Další informace naleznete na stránce Dialogové okno Upřesnit nastavení (Export).

Další odkazy

  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace
  • Export balíčku prostřednictvím modulu Správce služby IIS (informační zdroje online, stránka může být v angličtině)


Dialogové okno Spravovat komponenty

Dialogové okno Spravovat komponenty z Průvodce exportem balíčku aplikace umožňuje do balíčku přidat komponenty, jako jsou objekty COM nebo sestavení GAC.

Elementy uživatelského rozhraní

Záhlaví sloupců

Název elementu Popis

Název zprostředkovatele

Určuje komponentu, kterou chcete vložit do balíčku. Každá komponenta má zprostředkovatele. Klikněte do pole a ze zobrazeného rozevíracího seznamu vyberte název zprostředkovatele. Umístěním ukazatele myši na název zprostředkovatele můžete zobrazit jeho popis. Pokud například vyberete zprostředkovatele dbFullSql, vložíte do balíčku cestu skriptu nebo připojovací řetězec. Další informace o zprostředkovatelích naleznete na stránce Zprostředkovatelé nástroje Web Deploy (stránka může být v angličtině).

Důležité

Pokud tvoříte balíček webu, zprostředkovatel iisApp (vybraný ve výchozím nastavení) označí web v cílovém umístění jako aplikaci. Chcete-li vytvořit balíček webu a všech souvisejících konfigurací (jako je název fondu aplikací, umístění adresáře s obsahem či jakýkoli certifikát), použijte zprostředkovatele appHostConfig. Pokud použijete zprostředkovatele iisApp, stane se web v cílovém umístění aplikací, která zdědí všechna nastavení (jako je název fondu aplikací či adresář s obsahem) z webu, na který bude nainstalována.

Cesta

Určuje cestu komponenty, která poskytne data pro balíček. Pokud například vyberete zprostředkovatele dbFullSql, může cesta určovat soubor skriptu, např. C:\SQLfiles\installSQL.sql, nebo připojovací řetězec, např. Data Source=.\sqlexpress;Integrated Security=SSPI;Initial Catalog=db1.

Nastavení zprostředkovatele

Určuje nastavení zprostředkovatele, která chcete pro vybraného zprostředkovatele použít. Kliknutím do pole můžete pomocí tlačítka procházet (…) otevřít dialogové okno Nastavení zprostředkovatele. Další informace naleznete v tématu Dialogové okno Nastavení zprostředkovatele.

Tlačítka

Název elementu | Popis
Odebrat | Odstraní vybranou položku.
Přesunout nahoru | Posune vybraný řádek v seznamu nahoru. Položky budou instalovány v pořadí, jak jsou zobrazeny v seznamu. Pořadí položek je pro některé zprostředkovatele důležité. Například skript pro vytvoření tabulky by měl být spuštěn dříve než skript pro naplnění tabulky.
Přesunout dolů | Posune vybraný řádek v seznamu dolů. Položky budou instalovány v pořadí, jak jsou zobrazeny v seznamu.

Další odkazy

  • Stránka Výběr obsahu balíčku
  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Dialogové okno Nastavení zprostředkovatele

Dialogové okno Nastavení zprostředkovatele slouží k zadání nastavení pro vybraného zprostředkovatele. Někteří zprostředkovatelé nemají žádná nastavení.

Elementy uživatelského rozhraní

Název elementu | Popis
Název nastavení | Zobrazuje název nastavení pro vybraného zprostředkovatele. Jsou uvedena pouze nastavení relevantní pro vybraného zprostředkovatele.
Hodnota nastavení | Zadejte nebo vyberte hodnotu pro dané nastavení. Je-li k dispozici rozevírací seznam, obsahuje možné hodnoty daného nastavení. Informace o hodnotách, které je třeba zadat, naleznete v poli Popis.
Popis nastavení | Zobrazuje popis vybraného nastavení zprostředkovatele. Poskytuje informace o tom, které hodnoty jsou pro nastavení povoleny.

Další odkazy

  • Dialogové okno Spravovat komponenty
  • Stránka Výběr obsahu balíčku
  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace
  • Nastavení zprostředkovatelů nástroje Web Deploy (stránka může být v angličtině)


Dialogové okno Upřesnit nastavení (Export)

Dialogové okno Upřesnit nastavení z Průvodce exportem balíčku aplikace slouží k zadání nastavení pro balíček.

Elementy uživatelského rozhraní

Upřesnit možnosti

Název elementu Popis

Šifrovací heslo

Kliknutím na tlačítko otevřete dialogové okno Šifrovací heslo, kde můžete zadat alfanumerické heslo, které řídí přístup k vlastnostem zabezpečení v konfiguraci služby IIS.

Nástroj Web Deploy automaticky rozpozná, zda je v konfiguračních souborech na úrovni serveru (např. ApplicationHost.config či Machine.config) přítomen zašifrovaný objekt (např. fond aplikací s vlastní identitou). Pokud je zašifrovaný objekt přítomen, je třeba pro něj zadat heslo. Není-li zadáno správné heslo, operace exportu se nezdaří.

Důležité

Nástroj Web Deploy nekontroluje, zda soubory Web.config obsahují zašifrované objekty.

Zahrnout seznamy ACL

Pokud budou seznamy ACL zadané cesty kopírovány ze zdrojového do cílového umístění, vyberte možnost True, v opačném případě vyberte možnost False. Toto nastavení se vztahuje na systém souborů, registr a metabázi, a to pouze pro tyto zprostředkovatele:: appHostConfig, contentPath, iisApp, metaKey, webServer a webServer60. Výchozí hodnota je false.

Rozšíření odkazu

Kliknutím na pole napravo a poté kliknutím na šipku zobrazíte rozevírací seznam rozšíření odkazů. Výběrem nebo zrušením výběru rozšíření v seznamu můžete povolit nebo zakázat rozšíření, která chcete v operaci použít. Rozšíření odkazů zahrnují nebo vylučují určité druhy dat v operaci. V nástroji Web Deploy jsou k dispozici tato rozšíření: AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension a HttpCertConfigExtension. Tato rozšíření jsou vybrána ve výchozím nastavení. Další informace o rozšíření odkazů naleznete na stránce Přípony odkazů nástroje Web Deploy (stránka může být v angličtině).

Počet pokusů o opakování

Umožňuje zadat počet opakování při neúspěšném pokusu zprostředkovatele. Ve výchozím nastavení je počet opakování 5 a doba mezi jednotlivými opakováními jedna sekunda. Nastavení počtu pokusů o opakování lze použít pouze u zprostředkovatele contentPath.

Interval opakování

Umožňuje zadat hodnotu v milisekundách. Hodnota určuje interval mezi jednotlivými pokusy o opakování. Výchozí hodnota je 1000 (jedna sekunda). Toto nastavení lze použít pouze u zprostředkovatele contentPath.

Úroveň trasování

Umožňuje vybrat hodnotu z rozevíracího seznamu, která bude určovat úroveň podrobností v protokolech chybových zpráv. Možné hodnoty jsou Vypnuto, Chyba, Upozornění, Informace a Podrobný. Výchozí hodnota je Informace. Hodnota Vypnuto znamená, že chybové zprávy nebudou protokolovány. Hodnota Podrobný znamená, že budou protokolovány všechny zprávy.

Možnosti synchronizace

Název elementu Popis

Pravidla

Otevře dialogové okno Povolit nebo zakázat pravidla, ve kterém můžete zadat pravidla pro operaci. Další informace naleznete v tématu Dialogové okno Povolit nebo zakázat pravidla.

WhatIf

V rozevíracím seznamu můžete vybrat z možností True nebo False. Možnost True určuje, že operace bude spuštěna, ale ve skutečnosti neprovede žádné změny. Pomocí tohoto nastavení můžete zobrazit předpokládané výsledky operace, pokud by se zdařily všechny její části. Výchozí hodnota je False.

Poznámka

Příkaz, který s nastavením WhatIf proběhl zdánlivě úspěšně, se nemusí zdařit, když je spuštěn bez nastavení WhatIf. K tomu může dojít, je-li během operace zjištěna neočekávaná chyba. Příklad: Při operaci s nastavením WhatIf nejsou zapisována žádná data, takže se neodhalí případné chyby s oprávněním k zápisu. Nastavení WhatIf pouze ukáže předpokládaný výsledek, pokud by všechny operace příkazu proběhly úspěšně.

Další odkazy

  • Stránka Výběr obsahu balíčku
  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Dialogové okno Povolit nebo zakázat pravidla

Pomocí dialogového okna Povolit nebo zakázat pravidla můžete povolit nebo zakázat pravidla, která ovlivňují výsledek operace synchronizace. Výběrem položky Stav z rozevíracího seznamu Seskupit podle můžete pravidla seskupit podle kategorií zakázáno a povoleno. Výběrem položky Bez seskupení zobrazíte pravidla v abecedním pořádku.

Elementy uživatelského rozhraní

Záhlaví sloupců

Název elementu | Popis
Název | Uvádí seznam názvů pravidel synchronizace, která můžete povolit nebo zakázat. Pravidla zobrazená tučně jsou ve výchozím nastavení povolena, pravidla zobrazená stínovaným textem jsou ve výchozím nastavení zakázána. Pravidlo můžete povolit nebo zakázat jeho výběrem a kliknutím na tlačítko Povolit pravidlo nebo Zakázat pravidlo. Další informace o těchto pravidlech naleznete na stránce Pravidla nástroje Web Deploy (stránka může být v angličtině).

Tlačítka

Název elementu | Popis
Povolit pravidlo | Povolí vybrané pravidlo.
Zakázat pravidlo | Zakáže vybrané pravidlo.

Další odkazy

  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace
  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace


Stránka Výběr parametrů

Stránka Výběr parametrů z Průvodce exportem balíčku aplikací slouží k přidání nebo odebrání parametrů balíčku. Při vytváření balíčku můžete k atributu přiřadit parametr. Při instalaci balíčku pak může uživatel pro parametr zadat vlastní hodnotu a tato nová hodnota bude přiřazena atributu. Parametry jsou automaticky vygenerovány pro každého zprostředkovatele.

Elementy uživatelského rozhraní

Záhlaví sloupců

Název elementu | Popis
Název | Uvádí seznam názvů parametrů, které jste přidali pomocí dialogového okna Přidat parametr. Chcete-li parametr upravit, dvakrát na něj klikněte nebo jej vyberte a klikněte na tlačítko Upravit.
Typ | Zobrazuje typ parametru pro atribut, který bude parametrizován.
Obor | Zobrazuje obor pro parametr, který bude parametrizován.
Shoda | Zobrazuje shodující se výraz, který identifikuje atribut, který má parametrizován.

Tlačítka

Název elementu Popis

Přidat parametr

Otevře dialogové okno Přidat parametr . To umožní přidat parametr a nastavit jeho vlastnosti. Další informace naleznete v tématu Dialogové okno Přidat nebo upravit parametr.

Přidat položku parametru

Otevře dialogové okno Přidat položku parametru . To umožňuje nakonfigurovat nastavení Typ ,Obor a Shoda pro vybraný parametr. Další informace naleznete v tématu Dialogové okno Přidat položku parametru. Tato možnost je dostupná, když vyberete parametr nebo položky parametru.

Upravit

Pokud je vybrán parametr, toto tlačítko otevře dialogové okno Upravit parametr . To umožňuje upravit vlastnosti existujícího parametru. Další informace naleznete v tématu Dialogové okno Přidat nebo upravit parametr.

Pokud je vybrána položka parametru, toto tlačítko otevře dialogové okno Upravit položku parametru . Další informace naleznete v tématu Dialogové okno Upravit položku parametru.

Odebrat

Odebere vybraný parametr.

Přesunout nahoru

Přesune vybraný parametr v seznamu parametrů směrem nahoru. Parametry jsou zpracovávány v pořadí, jak jsou zobrazeny v seznamu.

Přesunout dolů

Přesune vybraný parametr v seznamu parametrů směrem dolů. Parametry jsou zpracovávány v pořadí, jak jsou zobrazeny v seznamu.

Další odkazy

  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Dialogové okno Přidat nebo upravit parametr

Pomocí dialogového okna Přidat parametr nebo Upravit parametr můžete přidat nový parametr balíčku aplikací nebo upravit existující.

Elementy uživatelského rozhraní

Název elementu Popis

Název

Umožňuje zadat název parametru. Například Připojovací řetězec.

Výchozí hodnota

Umožňuje zadat výchozí hodnotu pro parametr. Pokud uživatel nezadá jinou hodnotu, bude mít parametr při nasazení balíčku tuto uvedenou hodnotu. Pokud například pro název parametru zadáte Připojovací řetězec, můžete pro výchozí hodnotu zadat řetězec Data Source=.\SQLExpress;Database=Test;Integrated Security. Tato položka není požadována.

Důležité

Chcete-li požadovat zadání hodnoty parametru uživatelem, nezadávejte výchozí hodnotu.

Značky

Umožňuje zadat seznam vlastních atributů oddělených čárkami. Značky jsou volitelné atributy parametrů, na které se lze později odkázat. Parametr může být například označen jako heslo, takže uživatelské rozhraní hodnotu hesla nezobrazí. Tato položka není požadována. V případě příkladu z popisu elementu Výchozí hodnota můžete pro parametr Připojovací řetězec použít značky SQL, SQLConnectionString.

Popis

Umožňuje zadat popis parametru. Například: „Toto je připojovací řetězec pro databázi použitou vaší aplikací. Pokud vaše prostředí používá jiný server SQL či databází, změňte jej.“ Popis je uložen v souboru Parameters.xml v balíčku a je možné jej zobrazit pomocí příkazového řádku zadáním příkazu msdeploy -verb:getParameters -source:package=<NázevSouboruBalíčku>.

Typ

Umožňuje v případě potřeby vybrat typ ověřování parametru. Možné hodnoty jsou Žádný, Regulární výraz, Výčet nebo Logická hodnota. Výchozí hodnota je Žádný. Pokud vyberete jiný typ ověřování parametru než Žádný, bude zkontrolováno, zda hodnota zadaná pro parametr uživatelem splňuje podmínky, které jste stanovili. Jsou-li vybrány možnosti Regulární výraz nebo Výčet, je třeba do pole Ověřovací řetězec zadat ověřovací řetězec.

Ověřovací řetězec

Umožňuje zadat regulární výraz nebo seznam hodnot výčtu oddělených čárkou. Další informace týkající se regulárních výrazů naleznete na stránce Regulární výrazy (stránka může být v angličtině).

Další odkazy

  • Stránka Výběr parametrů
  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Dialogové okno Přidat položku parametru

Pomocí dialogového okna Přidat položku parametru můžete zadat hodnoty nastavení Typ, Obor a Shoda pro parametr.

Elementy uživatelského rozhraní

Název elementu | Popis
Typ | Vyberte z rozevíracího seznamu typ parametru, který chcete použít pro parametrizovaný atribut. Možné typy parametrů jsou Xml File, Text File, Text File Position, Provider Path, Deployment Attribute, Destination Binding a Destination Virtual Directory. Pokud jste například vytvořili parametr pro připojovací řetězec, můžete z rozevíracího seznamu vybrat položku Xml File, protože připojovací řetězec se nachází v souboru Web.config, který má formát XML.
Obor | Zadejte obor atributu, který bude parametrizován. Tato hodnota je požadovaný regulární výraz. Pokud je například typ parametru Xml File, je možné pro obor použít regulární výraz \\web.config$. První zpětné lomítko uvozuje druhé zpětné lomítko a značka dolaru ($) ukončuje řetězec shody na konci řádku. Výsledný obor bude mít podobu „\web.config“. Další informace týkající se regulárních výrazů naleznete na stránce Regulární výrazy (stránka může být v angličtině).
Shoda | Zadejte výraz, který identifikuje parametrizovaný atribut. Tato hodnota závisí na typu. V některých případech to může být regulární výraz nebo výraz XPath. Požadovaná odpovídající hodnota pro typ Xml File je výraz XPath. V předchozím příkladu by bylo možné zajistit spárování s položkou připojovacího řetězce v souboru Web.config pomocí výrazu XPath //connectionStrings/add/@connectionString.

Další odkazy

  • Stránka Výběr parametrů
  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Dialogové okno Upravit položku parametru

Pomocí dialogového okna Upravit položku parametru můžete upravit hodnoty nastavení Typ, Obor a Shoda pro parametr. Pokud jste ještě parametr nevytvořili, přejděte k tématu Dialogové okno Přidat nebo upravit parametr.

Elementy uživatelského rozhraní

Název elementu | Popis
Typ | Umožňuje změnit typ parametru pomocí rozevíracího seznamu. Možné typy parametrů jsou Xml File, Text File, Text File Position, Provider Path, Deployment Attribute, Destination Binding a Destination Virtual Directory. Pokud jste například vytvořili parametr pro připojovací řetězec, můžete z rozevíracího seznamu vybrat položku Xml File, protože připojovací řetězec se nachází v souboru Web.config, který má formát XML.
Obor | Umožňuje upravit obor atributu, který bude parametrizován. Tato hodnota je požadovaný regulární výraz. Pokud je například typ parametru Xml File, je možné pro obor použít regulární výraz \\web.config$. První zpětné lomítko uvozuje druhé zpětné lomítko a značka dolaru ($) ukončuje řetězec shody na konci řádku. Výsledný obor bude mít podobu „\web.config“. Další informace týkající se regulárních výrazů naleznete na stránce Regulární výrazy (stránka může být v angličtině).
Shoda | Umožňuje upravit výraz, který identifikuje parametrizovaný atribut. Tato hodnota závisí na typu. V některých případech to může být regulární výraz nebo výraz XPath. Požadovaná odpovídající hodnota pro typ Xml File je výraz XPath. V předchozím příkladu by bylo možné zajistit spárování s položkou připojovacího řetězce v souboru Web.config pomocí výrazu XPath //connectionStrings/add/@connectionString.

Další odkazy

  • Stránka Výběr parametrů
  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Stránka Uložení balíčku

Stránka Uložit balíček y Průvodce exportem balíčku aplikace umožňuje zadat název souboru a umístění, která se mají při ukládání balíčku použít.

Elementy uživatelského rozhraní

Název elementu | Popis
Cesta balíčku | Zadejte název souboru balíčku. Přípona názvu souboru musí být ZIP.
Procházet... | Kliknutím na tlačítko Procházet můžete zadat umístění, do kterého chcete balíček uložit.

Další odkazy

  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Dialogové okno Šifrovací heslo

Dialogové okno Šifrovací heslo z Průvodce exportem balíčku aplikací slouží k zadání hesla pro obsah balíčku, který má nastavení označená jako zabezpečená.

Elementy uživatelského rozhraní

Název elementu | Popis
Heslo | Zadejte heslo, které bude později požadováno při importu balíčku. Nebude-li poskytnuto heslo pro nastavení, která jsou označena jako zabezpečená, nebude možné provést export balíčku.
Potvrdit heslo | Slouží k potvrzení hesla opakovaným zadáním.

Další odkazy

  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Stránka Průběh a souhrn exportu

Stránka Průběh a souhrn exportu z Průvodce exportem aplikací umožňuje sledovat stav procesu exportu a po dokončení průvodce zobrazit souhrn a podrobné informace týkající se operace.

Elementy uživatelského rozhraní

Název elementu Popis

Stav

Oblast Stav zobrazuje aktuálně prováděnou operaci (například kopírování souboru nebo operaci databázového skriptu). Pokud aplikace obsahuje položky vyžadující šifrování (např. hesla či certifikáty), může se během exportu zobrazit výzva k zadání hesla. Počítejte s tím, že pokud exportujete velké množství dat nebo exportujete na vzdálený server, může operace trvat dlouho.

Souhrn

Poskytuje přehled provedených akcí včetně případných chyb, ke kterým došlo během procesu vytváření.

Důležité

Karta Souhrn neobsahuje podrobný výpis všech provedených akcí nebo chyb, ke kterým došlo. Podrobnější informace naleznete na kartě Podrobnosti.

Podrobnosti

Poskytuje podrobný výpis provedených akcí. Pokud došlo k chybám, kliknutím na kartu zobrazíte podrobné informace o chybách, které můžete použít při odstraňování potíží.

Další odkazy

  • Stránky Průvodce exportem balíčku serveru a Průvodce exportem balíčku aplikace


Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace

Stránka Výběr balíčku

Dialogové okno Dešifrovací heslo

Stránka Výběr obsahu balíčku

Dialogové okno Upřesnit nastavení (Import)

Stránka Výběr databáze

Stránka Zadání informací o balíčku aplikace

Stránka Přepsání existujících souborů

Stránka Průběh a souhrn instalace


Stránka Výběr balíčku

Stránka Výběr balíčku slouží k výběru existujícího balíčku, který chcete na web nebo server nainstalovat.

Elementy uživatelského rozhraní

Název elementu | Popis
Cesta balíčku | Určuje umístění balíčku, který chcete na web nebo server nainstalovat.
Procházet... | Kliknutím na tlačítko Procházet můžete zadat umístění balíčku, který chcete na web nebo server nainstalovat.

Další odkazy

  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace


Dialogové okno Dešifrovací heslo

Pomocí dialogového okna Dešifrovací heslo Průvodce importem balíčku aplikací můžete zadat heslo pro obsah balíčku, který má nastavení označená jako zabezpečená.

Elementy uživatelského rozhraní

Název elementu | Popis
Heslo | Umožňuje zadat heslo požadované k dešifrování obsahu balíčku. Heslo je požadováno, protože při vytváření balíčku byla některá nastavení označena jako zabezpečená. Nebude-li poskytnuto heslo zadané při vytváření balíčku, nebude možné balíček importovat.

Další odkazy

  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace


Stránka Výběr obsahu balíčku

Stránka Výběr obsahu balíčku z Průvodce importem balíčku aplikací slouží k zobrazení komponent zahrnutých v balíčku vybraném na stránce Výběr balíčku.

Balíčky mohou obsahovat komponenty, například nastavení registru, model COM, sestavení GAC nebo certifikáty. Chcete-li tyto komponenty na server nainstalovat, je třeba být členem skupiny Administrators nebo mít delegovánu příslušnou autoritu. Chcete-li instalovat pouze obsah, uživatelská práva správce nejsou zapotřebí.

Elementy uživatelského rozhraní

Název elementu Popis

Obsah balíčku

Uvádí seznam komponent zahrnutých v balíčku. Zaškrtnutím nebo zrušením zaškrtnutí políčka u příslušné komponenty můžete určit, které komponenty balíčku chcete nasadit. Příklad: Zaškrtnutím nebo zrušením zaškrtnutí odpovídajícího políčka můžete zahrnout nebo vyloučit databázi SQL nebo sestavení GAC.

Upozornění

Některé komponenty mohou být aplikací požadovány. Zrušíte-li zaškrtnutí políček u těchto komponent, aplikace nemusí po instalaci fungovat správně.

Další odkazy

  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace


Dialogové okno Upřesnit nastavení (Import)

Pomocí dialogového okna Upřesnit nastavení Průvodce importem balíčku aplikací můžete zadat nastavení pro balíček.

Elementy uživatelského rozhraní

Upřesnit možnosti

Název elementu Popis

Dešifrovací heslo

Otevře dialogové okno Dešifrovací heslo, pomocí kterého můžete zadat heslo požadované k dešifrování obsahu balíčku.

Nástroj Web Deploy v průběhu operace importu automaticky rozpozná, zda je v konfiguračních souborech balíčku na úrovni serveru (např. ApplicationHost.config či Machine.config) přítomen zašifrovaný objekt (např. fond aplikací s vlastní identitou). Pokud je zašifrovaný objekt přítomen, je třeba pro něj zadat heslo. Není-li zadáno správné heslo, operace importu se nezdaří.

Zahrnout seznamy ACL

Pokud budou seznamy ACL zadané cesty kopírovány ze zdrojového do cílového umístění, vyberte možnost True, v opačném případě vyberte možnost False. Toto nastavení se vztahuje na systém souborů, registr a metabázi, a to pouze pro tyto zprostředkovatele: appHostConfig, contentPath, iisApp, metaKey, webServer a webServer60. Výchozí hodnota je False.

Rozšíření odkazu

Kliknutím na pole napravo a poté kliknutím na šipku zobrazíte rozevírací seznam rozšíření odkazů. Výběrem nebo zrušením výběru rozšíření v seznamu můžete povolit nebo zakázat rozšíření, která chcete v operaci použít. Rozšíření odkazů zahrnují nebo vylučují určité druhy dat v operaci. V nástroji Web Deploy jsou k dispozici tato rozšíření: AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension a HttpCertConfigExtension. Tato rozšíření jsou vybrána ve výchozím nastavení. Další informace o rozšíření odkazů naleznete na stránce Přípony odkazů nástroje Web Deploy (stránka může být v angličtině).

Počet pokusů o opakování

Umožňuje zadat počet opakování při neúspěšném pokusu zprostředkovatele. Ve výchozím nastavení je počet opakování 5 a doba mezi jednotlivými opakováními jedna sekunda. Nastavení počtu pokusů o opakování lze použít pouze u zprostředkovatele contentPath.

Interval opakování

Umožňuje zadat hodnotu v milisekundách. Hodnota určuje interval mezi jednotlivými pokusy o opakování. Výchozí hodnota je 1000 (jedna sekunda). Toto nastavení lze použít pouze u zprostředkovatele contentPath.

Úroveň trasování

Umožňuje vybrat hodnotu z rozevíracího seznamu, která bude určovat úroveň podrobností v protokolech chybových zpráv. Možné hodnoty jsou Vypnuto, Chyba, Upozornění, Informace a Podrobný. Výchozí hodnota je Informace. Hodnota Vypnuto znamená, že chybové zprávy nebudou protokolovány. Hodnota Podrobný znamená, že budou protokolovány všechny zprávy.

Možnosti synchronizace

Název elementu Popis

Pravidla

Otevře dialogové okno Povolit nebo zakázat pravidla, ve kterém můžete zadat pravidla pro operaci. Další informace naleznete na stránce Dialogové okno Povolit nebo zakázat pravidla.

WhatIf

V rozevíracím seznamu můžete vybrat z možností True nebo False. Možnost True určuje, že operace bude spuštěna, ale ve skutečnosti neprovede žádné změny. Pomocí tohoto nastavení můžete zobrazit předpokládané výsledky operace, pokud by se zdařily všechny její části. Výchozí hodnota je False.

Poznámka

Příkaz, který s nastavením WhatIf proběhl zdánlivě úspěšně, se nemusí zdařit, když je spuštěn bez nastavení WhatIf. K tomu může dojít, je-li během operace zjištěna neočekávaná chyba. Příklad: Při operaci s nastavením WhatIf nejsou zapisována žádná data, takže se neodhalí případné chyby s oprávněním k zápisu. Nastavení WhatIf pouze ukáže předpokládaný výsledek, pokud by všechny operace příkazu proběhly úspěšně.

Další odkazy

  • Stránka Výběr obsahu balíčku
  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace


Stránka Výběr databáze

Pomocí stránky Výběr databáze můžete vybrat možnosti databáze, které chcete pro instalovaný balíček použít. Tato stránka se zobrazí, pouze pokud je v balíčku k dispozici více než jeden typ databáze.

Poznámka

Stránka se nezobrazí ani v případě, kdy je v balíčku k dispozici více než jedna databáze, ale na stránce Výběr obsahu balíčku bylo zrušeno zaškrtnutí políček všech typů databází až na jeden.

Elementy uživatelského rozhraní

Název elementu | Popis
Zvolit databázi, kterou chcete použít | Umožňuje vybrat typ databáze pro instalaci. Možné typy databáze jsou SQL, MySQL, VistaDB, SQLite, Plochý soubor nebo Žádná databáze. Obsah instalovaného balíčku určuje, které možnosti databáze se zobrazí. Pouze možnosti SQL a MySQL mají přidružené zprostředkovatele. Další informace naleznete na stránkách Zprostředkovatel dbFullSql nástroje Web Deploy (stránka může být v angličtině) a Zprostředkovatel MySQL Web Deploy (stránka může být v angličtině).
Vytvořit novou databázi a Použít existující databázi | Výběrem položky Vytvořit novou databázi můžete vytvořit novou databázi, výběrem položky Použít existující databázi můžete použít existující databázi. Tato možnost je k dispozici pouze při výběru typu databáze SQL nebo MySQL.

Další odkazy

  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace
  • Stránka Zadání informací o balíčku aplikace


Stránka Zadání informací o balíčku aplikace

Stránka Zadání informací o balíčku aplikace z Průvodce importem balíčku aplikace slouží k zadání hodnot parametrů deklarovaných v balíčku. Na stránce je jedno pole pro každý parametr. Pole zobrazená na stránce závisí na parametrech deklarovaných v balíčku.

Elementy uživatelského rozhraní

Název elementu | Popis
<Název parametru> | Zadejte hodnotu pro parametr požadovaný k instalaci balíčku. Zde definované informace mohou zahrnovat úplnou cestu webu, kam chcete aplikaci nainstalovat, pověření uživatele nebo název databáze pro aplikaci. Příklad: Změnou hodnoty cesty aplikace můžete zadat, kam má být aplikace nainstalována: Výchozí web/NováAplikace.

Další odkazy

  • Dialogové okno Upravit připojovací řetězec


Dialogové okno Upravit připojovací řetězec

Pomocí dialogového okna Upravit připojovací řetězec můžete zadat připojovací řetězec a pověření, která chcete použít.

Elementy uživatelského rozhraní

Název elementu | Popis
SQL Server | Umožňuje použít server SQL, který sami zadáte.
Server | Umožňuje zadat cestu nebo připojovací řetězec serveru, který chcete použít (např. .\SQLExpress).
Databáze | Umožňuje zadat název databáze, kterou chcete použít (např. Test).
Použít integrované zabezpečení systému Windows | Umožňuje použít integrované zabezpečení systému Windows. Pokud je uživatel přihlášen k systému Windows, integrované zabezpečení systému Windows předá pověření uživatele technologii ASP.NET bez žádosti o opakování ověřování. Tato metoda ověřování funguje nejlépe, pokud se klient i server nacházejí ve stejné doméně.
Zadat pověření | Umožňuje použít pověření definovaná uživatelem. Chcete-li otevřít dialogové okno Nastavit pověření a zadat uživatelské jméno a heslo, klikněte na tlačítko Nastavit.
Vlastní | Umožňuje zadat vlastní cestu nebo připojovací řetězec pro server, který chcete použít (např. Server=.\SQLExpress;Database=Test;Integrated Security=true).

Další odkazy

  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace
  • Stránka Zadání informací o balíčku aplikace


Stránka Přepsání existujících souborů

Pomocí stránky Přepsání existujících souborů můžete určit, zda se mají nové soubory připojit k existujícím souborům cílového umístění připojit nebo zda se mají existující soubory přepsat a soubory, které v balíčku aplikace nemají odpovídající protějšek, odstranit.

Elementy uživatelského rozhraní

Název elementu | Popis
Ne, soubory v balíčku aplikace pouze připojit do cílového umístění | Tuto možnost vyberte, pokud chcete zachovat existující soubory cílového umístění. Nové soubory z balíčku aplikace budou přidány.
Ano, odstranit všechny nadbytečné soubory a složky cílového umístění nezastoupené v balíčku aplikace | Tuto možnost vyberte, pokud chcete odstranit všechny soubory cílového umístění, které nejsou zahrnuty v balíčku aplikace.

Další odkazy

  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace


Stránka Průběh a souhrn instalace

Pomocí stránky Průběh a souhrn instalace můžete sledovat stav procesu importu a po dokončení průvodce zobrazit souhrn a podrobné informace týkající se operace.

Elementy uživatelského rozhraní

Název elementu Popis

Stav

Oblast Stav zobrazuje aktuálně prováděnou operaci (například kopírování souboru nebo operaci databázového skriptu). Pokud aplikace obsahuje položky vyžadující dešifrování (např. hesla či certifikáty), může se během importu zobrazit výzva k zadání hesla. Pokud importujete velké množství dat nebo importujete data na vzdálený server či z něj, může operace trvat dlouho.

Souhrn

Poskytuje přehled provedených akcí včetně chyb, ke kterým došlo během procesu instalace.

Důležité

Karta Souhrn neobsahuje podrobný výpis všech provedených akcí nebo chyb, ke kterým došlo. Podrobnější informace naleznete na kartě Podrobnosti.

Podrobnosti

Poskytuje podrobný výpis provedených akcí. Pokud došlo k chybám, kliknutím na kartu zobrazíte podrobné informace o chybách, které můžete použít při odstraňování potíží.

Další odkazy

  • Stránky Průvodce importem balíčku serveru nebo webu a Průvodce importem balíčku aplikace